---
stage: Deploy
group: Environments
description: Terraform and Kubernetes deployments.
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# Manage your infrastructure

Use GitLab to speed up and simplify your infrastructure management practices.

| | | |
|--|--|--|
| [**Getting started**](../get_started/get_started_managing_infrastructure.md)<br>Overview of how features fit together. | [**Infrastructure as Code**](iac/index.md)<br>Infrastructure management, versioning, automation, state storage, modules. | [**Create Kubernetes clusters**](../clusters/create/index.md)<br>Amazon EKS, Azure AKS, Google GKE, Civo. |
| [**Connect Kubernetes clusters**](../clusters/agent/index.md)<br>Kubernetes integration, GitOps, CI/CD, agent deployment, cluster management. | [**Runbooks**](../project/clusters/runbooks/index.md)<br>Executable runbooks, automation, troubleshooting, operations. | |
