# frozen_string_literal: true

class AddTraversalIdAndArchivedToVulnerabilityReads < Gitlab::Database::Migration[2.2]
  enable_lock_retries!

  milestone '16.9'

  def change
    change_table :vulnerability_reads do |t|
      t.bigint :traversal_ids, array: true, default: []
      t.boolean :archived, null: false, default: false
    end
  end
end
